<?php include('casa/setup.casa.php');
$codigo = substr(md5(uniqid()),1,7);

	$txtArchivo = $_FILES['Archivo']['name'];
	$temp = $_FILES['Archivo']['tmp_name'];

	if(trim($txtArchivo)==''){	
		echo '<script>alert("Debe Seleccionar un Archivo EXCEL!!!");history.back();</script>';
		exit();
	}

	$folder = 'excel/';
	$Archivo = $codigo;
	move_uploaded_file($temp, $folder.$Archivo);
/*Configuración apertura del archivo Excel a importar ******************/
require_once 'Classes/PHPExcel.php';
$archivo = $folder.$codigo;
        $inputFileType = PHPExcel_IOFactory::identify($archivo);
        $objReader = PHPExcel_IOFactory::createReader($inputFileType);        
        $objPHPExcel = $objReader->load($archivo);
        $sheet = $objPHPExcel->getSheet(0); 
        $highestRow = $sheet->getHighestRow(); 
        $highestColumn = $sheet->getHighestColumn();
        $InicioExcel = 2;	

include('inc_scripts.php');
$title = 'Importar Archivo Excel: <b>'.$txtArchivo.'</b>';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#1269DB;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>								
								<div class="card-body">																											
									<div class="table-responsive">											
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>	
													<th>N&ordm;</th>						
													<th>item</th>
													<th>descripcion</th>
													<th>piezas caja</th>
													<th>cantidad cajas</th>
													<th>precio unitario</th>
													<th>precio docena</th>
													<th>precio caja docena</th>
												</tr>
											</thead>											
											<tbody>
<?php 
$html = "";
$i=0;
$repetidos = 0;
$color="";
$temp_codigo = substr(md5(uniqid()),1,7);
$Items = new DB();
$AgregarTemporal = new DB();

for ($row = $InicioExcel; $row <= $highestRow; $row++){
$i++;	
	$item_xls = $sheet->getCell("A".$row)->getValue();
	$descrip = $sheet->getCell("B".$row)->getValue();
	$piezas_caja = $sheet->getCell("C".$row)->getValue();
	$cant_caja = $sheet->getCell("D".$row)->getValue();
	$prec_unitario = $sheet->getCell("E".$row)->getValue();
	$prec_docena = $sheet->getCell("F".$row)->getValue();
	$prec_cajadocena = $sheet->getCell("G".$row)->getValue();
//Consultar si Existe el Producto en la Base de Datos a traves del numero de Item	
	$sqlItems = "SELECT * FROM inventarios_productos
	WHERE prod_item = '$item_xls';";
	$Items->dbSQL($sqlItems);
	/*if($Items->next()){
		$prod_nombre[$repetidos] = $Items->dbField('prod_nombre');		
		$color = 'style="background:#FF9999;"';
		$repetidos++;		
	}else{
	*/
		$color="";
		$codigo_producto = 'xls-'.substr(sha1(uniqid()),1,7);
		$cantidad_real = $piezas_caja*$cant_caja;
		$sqlAgregarTemporal = "INSERT INTO invtemp_productos(
			temp_codigo, ubica_codigo, prod_item,
			prod_codigo, prod_traspaso, prod_nombre,
			prod_foto, prod_piezascaja, prod_cantidadcajas,
			prod_unidadesreal, prod_preciounitario, prod_preciodocena,
			prod_preciocajadocena
		)VALUES(
			'$temp_codigo', 'central', '$item_xls', 
			'$codigo_producto', 'origen', '$descrip', 
			'vacio', '$piezas_caja', '$cant_caja', 
			'$cantidad_real', '$prec_unitario', '$prec_docena', 
			'$prec_cajadocena'
		);";
		$AgregarTemporal->dbSQL($sqlAgregarTemporal);
	//}end if

	$html.='<tr '.$color.'>';
		$html.='<td align=center><b>'.$i.'</b></td>';	
		$html.='<td>'.$item_xls.'</td>';	
		$html.='<td>'.$descrip.'</td>';	
		$html.='<td align=right>'.$piezas_caja.'</td>';	
		$html.='<td align=right>'.$cant_caja.'</td>';	
		$html.='<td align=right>'.$prec_unitario.'</td>';	
		$html.='<td align=right>'.$prec_docena.'</td>';	
		$html.='<td align=right>'.$prec_cajadocena.'</td>';			
	$html.='</tr>';	
	
}//next $row 
echo Caresp($html);
?>																						
											</tbody>
										</table>
									</div>
									<div><br>
										<h2>Información del Archivo Excel: <b><?php echo $txtArchivo ?></b></h2><hr>
										<h3>Cantidad de filas leidas: <?php echo $i ?></h3>
										<h3>Cantidad de registros ya existentes en la Base de Datos: 
										<?php 
											echo $repetidos.'<br>';
											for($x=0;$x<$repetidos;$x++){
												echo ' - '.$prod_nombre[$x].'<br>';
											}
										?></h3>
										<h3>Cantidad de registros a importar a la Base de Datos: <?php echo $i-$repetidos ?></h3>										
								<div class="card-action"><center>
									<div id='res'></div>
									<a href='<?php echo PATH_HOME.'productos/'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button id="ImportarDB" class="btn btn-info" type='button'>
										<b> IMPORTAR DATOS EXCEL A LA BASE DE DATOS DEL SISTEMA </b></button>	</center>								
								</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div id='res'></div>
			</div>
			<?php include('inc_pie.php');?>
		</div>				
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 10,
	});
});	
$('#ImportarDB').click(function(){
	$.post('<?php echo PATH_HOME.'productos-importar3/'. md5(uniqid()); ?>',{
	 'codigo': '<?php echo $temp_codigo; ?>',		 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
</script>